Upstream information

CVE-2016-10195 at MITRE

Description

The name_parse function in evdns.c in libevent before 2.1.6-beta allows remote attackers to have unspecified impact via vectors involving the label_len variable, which triggers an out-of-bounds stack read.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 2.6
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:H/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Low High
Authentication None None
Confidentiality Impact Partial None
Integrity Impact Partial None
Availability Impact Partial Partial
SUSE Bugzilla entries: 1022917 [RESOLVED / FIXED], 1035082 [RESOLVED / FIXED], 1035209 [RESOLVED / INVALID], 1075618 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform ALL
  • libevent >= 2.0.21-6.3.1
  • libevent-2_0-5 >= 2.0.21-6.3.1
Patchnames:
SUSE-CAASP-ALL-2018-143
SUSE Linux Enterprise Desktop 12 SP2
  • libevent >= 2.0.21-6.3.1
  • libevent-2_0-5 >= 2.0.21-6.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2018-143
SUSE Linux Enterprise Desktop 12 SP3
  • libevent >= 2.0.21-6.3.1
  • libevent-2_0-5 >= 2.0.21-6.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-143
SUSE Linux Enterprise Server 11 SP4
  • libevent >= 1.4.5-24.24.3.1
  • libevent-1_4-2 >= 1.4.5-24.24.3.1
Patchnames:
slessp4-libevent-13447
SUSE Linux Enterprise Server 12 SP2
  • libevent >= 2.0.21-6.3.1
  • libevent-2_0-5 >= 2.0.21-6.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-143
SUSE Linux Enterprise Server 12 SP3
  • libevent >= 2.0.21-6.3.1
  • libevent-2_0-5 >= 2.0.21-6.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-143
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libevent >= 2.0.21-6.3.1
  • libevent-2_0-5 >= 2.0.21-6.3.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-143
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libevent >= 1.4.5-24.24.3.1
  • libevent-1_4-2 >= 1.4.5-24.24.3.1
Patchnames:
slessp4-libevent-13447
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libevent >= 2.0.21-6.3.1
  • libevent-2_0-5 >= 2.0.21-6.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-143
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libevent >= 2.0.21-6.3.1
  • libevent-2_0-5 >= 2.0.21-6.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-143
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libevent >= 1.4.5-24.24.3.1
  • libevent-devel >= 1.4.5-24.24.3.1
Patchnames:
sdksp4-libevent-13447
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libevent >= 2.0.21-6.3.1
  • libevent-devel >= 2.0.21-6.3.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2018-143
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libevent >= 2.0.21-6.3.1
  • libevent-devel >= 2.0.21-6.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-143
openSUSE Leap 42.2
  • libevent >= 2.0.21-7.3.1
  • libevent-2_0-5 >= 2.0.21-7.3.1
  • libevent-2_0-5-32bit >= 2.0.21-7.3.1
  • libevent-2_0-5-debuginfo >= 2.0.21-7.3.1
  • libevent-2_0-5-debuginfo-32bit >= 2.0.21-7.3.1
  • libevent-debugsource >= 2.0.21-7.3.1
  • libevent-devel >= 2.0.21-7.3.1
Patchnames:
openSUSE-2018-95
openSUSE Leap 42.3
  • libevent >= 2.0.21-10.1
  • libevent-2_0-5 >= 2.0.21-10.1
  • libevent-2_0-5-32bit >= 2.0.21-10.1
  • libevent-2_0-5-debuginfo >= 2.0.21-10.1
  • libevent-2_0-5-debuginfo-32bit >= 2.0.21-10.1
  • libevent-debugsource >= 2.0.21-10.1
  • libevent-devel >= 2.0.21-10.1
Patchnames:
openSUSE-2018-95


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 2.0 libevent Released
SUSE Linux Enterprise Desktop 12 SP1 libevent Unsupported
SUSE Linux Enterprise Desktop 12 SP2 libevent Released
SUSE Linux Enterprise Desktop 12 SP3 libevent Released
SUSE Linux Enterprise SDK 11 SP4 libevent Released
SUSE Linux Enterprise SDK 12 SP1 libevent Unsupported
SUSE Linux Enterprise SDK 12 SP2 libevent Released
SUSE Linux Enterprise SDK 12 SP3 libevent Released
SUSE Linux Enterprise Server 11 SP4 libevent Released
SUSE Linux Enterprise Server 12 GA libevent Affected
SUSE Linux Enterprise Server 12 SP1 libevent Unsupported
SUSE Linux Enterprise Server 12 SP2 libevent Released
SUSE Linux Enterprise Server 12 SP3 libevent Released
SUSE Linux Enterprise Server for VMWare 11 SP2 libevent Affected
SUSE Linux Enterprise Server for VMWare 11 SP3 libevent Affected